org.gradle.tooling.model

## Interface GradleTask

- All Superinterfaces:
    Launchable, ProjectModel, Task

      public interface GradleTask
      extends Task

  Represents a task which is executable by Gradle.
  Since:
    1.0-milestone-5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GradleProject` | `getProject()` Returns the Gradle project this task is defined in.

    - ### Methods inherited from interface org.gradle.tooling.model.Task

      `getDescription, getGroup, getName, getPath`

    - ### Methods inherited from interface org.gradle.tooling.model.Launchable

      `getDisplayName, getProjectIdentifier, isPublic`

- - ### Method Detail

    - #### getProject

          GradleProject getProject()

      Returns the Gradle project this task is defined in.
      Returns:
        The element.
      Since:
        1.0-milestone-5